## adaptixc2 0.0~git20260120.3d608a9

=== Makefile ===
all: clean prepare server client extenders

DIST_DIR := dist

UNAME_S := $(shell uname -s)

ifeq ($(UNAME_S),Linux)
  NPROC := $(shell nproc)
endif

ifeq ($(UNAME_S),Darwin)
  NPROC := $(shell sysctl -n hw.ncpu)
endif



### CLEAN ###

prepare:
	@if [ ! -d "$(DIST_DIR)" ]; then \
		mkdir "$(DIST_DIR)"; \
		echo "[+] Created '$(DIST_DIR)' directory"; \
	fi

clean:
	@ rm -rf $(DIST_DIR)

clean-all: clean
	@ echo "[*] Cleaning all build artifacts..."
	@ find . -name "*.o" -delete
	@ find . -name "*.so" -delete
	@ find . -name "*.a" -delete
	@ find . -name "build_error.log" -delete
	@ find . -name "cmake_error.log" -delete
	@ echo "[+] All artifacts cleaned"

docker-clean:
	@ echo "[*] Cleaning Docker containers and images..."
	@ docker compose --profile build-server --profile build-extenders --profile build-server-ext down --rmi local 2>/dev/null || true
	@ echo "[+] Docker containers and images cleaned"

docker-clean-all: docker-clean
	@ echo "[*] Cleaning all Docker artifacts (containers, images, volumes, networks)..."
	@ docker compose --profile build-server --profile build-extenders --profile build-server-ext --profile runtime down --rmi all --volumes 2>/dev/null || true
	@ echo "[*] Cleaning build output directories..."
	@ rm -rf AdaptixServer/server-dist 2>/dev/null || true
	@ echo "[+] All Docker artifacts cleaned"



### EXTENDERS ###

EXTENDER_DIRS := $(shell find AdaptixServer/extenders -maxdepth 1 -type d -not -path "$(DIST_DIR)" -exec test -f {}/Makefile \; -print)

extenders: prepare
	@ echo "[*] Building default extenders"
	@ mkdir -p $(DIST_DIR)/extenders
	@ for dir in $(EXTENDER_DIRS); do \
		(cd $$dir && $(MAKE) --no-print-directory); \
		plugin_name=$$(basename $$dir); \
		mv $$dir/dist $(DIST_DIR)/extenders/$$plugin_name; \
	done
	@ echo "[+] done"


### SERVER ###

server: prepare
	@ echo "[*] Building adaptixserver..."
	@ cd AdaptixServer && GOEXPERIMENT=jsonv2,greenteagc go build -buildvcs=false -ldflags="-s -w" -o adaptixserver > /dev/null 2>build_error.log || { echo "[ERROR] Failed to build AdaptixServer:"; cat build_error.log >&2; exit 1; }     # for static build use CGO_ENABLED=0
	@ mv AdaptixServer/adaptixserver ./$(DIST_DIR)/
	@ cp AdaptixServer/ssl_gen.sh AdaptixServer/profile.json AdaptixServer/404page.html ./$(DIST_DIR)/
	@ echo "[+] done"

server-ext: clean server extenders



### CLIENT ###

client: prepare
	@ echo "[*] Building AdaptixClient..."
	@ cd AdaptixClient && cmake . > /dev/null 2>cmake_error.log || { echo "[ERROR] CMake failed:"; cat cmake_error.log >&2; exit 1; }
	@ cd AdaptixClient && make --no-print-directory
	@ mv ./AdaptixClient/AdaptixClient ./$(DIST_DIR)/
	@ echo "[+] done"

client-fast: prepare
	@ echo "[*] Building AdaptixClient in $(NPROC) threads..."
	@ cd AdaptixClient && cmake . > /dev/null 2>cmake_error.log || { echo "[ERROR] CMake failed:"; cat cmake_error.log >&2; exit 1; }
	@ cd AdaptixClient && make --no-print-directory -j$(NPROC)
	@ mv ./AdaptixClient/AdaptixClient ./$(DIST_DIR)/
	@ echo "[+] done"



### DOCKER BUILD ###

docker-build-server:
	@ echo "[*] Building server via Docker..."
	@ docker compose --profile build-server build
	@ docker compose --profile build-server up --abort-on-container-exit
	@ docker compose --profile build-server down
	@ echo "[+] Server built via Docker"

docker-build-extenders:
	@ echo "[*] Building extenders via Docker..."
	@ docker compose --profile build-extenders build
	@ docker compose --profile build-extenders up --abort-on-container-exit
	@ docker compose --profile build-extenders down
	@ echo "[+] Extenders built via Docker"

docker-build-server-ext:
	@ echo "[*] Building server and extenders via Docker..."
	@ docker compose --profile build-server-ext build
	@ docker compose --profile build-server-ext up --abort-on-container-exit
	@ docker compose --profile build-server-ext down
	@ echo "[+] Server and extenders built via Docker"

docker-build-all: docker-build-server-ext
	@ echo "[+] All Docker builds completed"



### DOCKER RUNTIME ###

docker-up:
	@ echo "[*] Starting Adaptix server runtime container..."
	@ docker compose --profile runtime up -d
	@ echo "[+] Runtime container started"
	@ echo "[*] Use 'make docker-logs' to view logs"
	@ echo "[*] Use 'make docker-down' to stop container"

docker-down:
	@ echo "[*] Stopping Adaptix server runtime container..."
	@ docker compose --profile runtime down
	@ echo "[+] Runtime container stopped"

docker-logs:
	@ docker compose --profile runtime logs -f

docker-restart: docker-down docker-up



### HELP ###

help:
	@ echo "AdaptixC2 Build System"
	@ echo ""
	@ echo "Available targets:"
	@ echo "  all              - Build everything (server, client, extenders)"
	@ echo "  extenders        - Build only the extenders"
	@ echo "  server-ext       - Build server and extenders (no client, ideal for VPS)"
	@ echo "  server           - Build only the server"
	@ echo "  client-fast      - Build only the client in multithread mode (fast build)"
	@ echo "  client           - Build only the client"
	@ echo "  clean            - Remove dist directory"
	@ echo "  clean-all        - Remove all build artifacts"
	@ echo ""
	@ echo "Docker commands:"
	@ echo "  docker-build-server     - Build server via Docker Compose"
	@ echo "  docker-build-extenders  - Build extenders via Docker Compose"
	@ echo "  docker-build-server-ext - Build server and extenders via Docker Compose"
	@ echo "  docker-build-all        - Build server and extenders via Docker Compose (alias)"
	@ echo "  docker-up               - Start runtime container (detached)"
	@ echo "  docker-down             - Stop runtime container"
	@ echo "  docker-logs             - View runtime container logs (follow mode)"
	@ echo "  docker-restart          - Restart runtime container"
	@ echo "  docker-clean            - Remove Docker containers and images (builders only)"
	@ echo "  docker-clean-all        - Remove all Docker artifacts (containers, images, volumes, networks)"
	@ echo ""
	@ echo "  help             - Show this help message"
	@ echo ""
	@ echo "Platform: $(UNAME_S) [$(NPROC) proc]"

.PHONY: all extenders server-ext server client clean clean-all docker-build-server docker-build-extenders docker-build-server-ext docker-build-all docker-up docker-down docker-logs docker-restart docker-clean docker-clean-all help prepare

=== AdaptixClient/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.28) # 3.15
project(AdaptixClient LANGUAGES C CXX)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_CXX_STANDARD 23)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

add_subdirectory(Libs/kddockwidgets)

if(UNIX)
    find_package( OpenSSL REQUIRED )
elseif(APPLE)
    find_package( OpenSSL REQUIRED )
elseif(WIN32)
    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -Wl,-subsystem,windows")
endif()

find_package(Qt6
        REQUIRED COMPONENTS
        Core
        Gui
        Widgets
        Network
        WebSockets
        Sql
        Qml
)

include_directories(
        Headers
        Libs
)

### KDDOCKWIDGETS

set(KDDOCKWIDGETS_RESOURCES Libs/kddockwidgets/kddockwidgets_resources.qrc)

### KONSOLE

set(KONSOLE_SOURCES

        Libs/Konsole/res.qrc

        Libs/Konsole/util/utf8proc.c
        Libs/Konsole/util/CharWidth.cpp
        Libs/Konsole/util/ColorScheme.cpp
        Libs/Konsole/util/Filter.cpp
        Libs/Konsole/util/History.cpp
        Libs/Konsole/util/HistorySearch.cpp
        Libs/Konsole/util/KeyboardTranslator.cpp
        Libs/Konsole/util/SearchBar.cpp
        Libs/Konsole/util/TerminalCharacterDecoder.cpp
        Libs/Konsole/Emulation.cpp
        Libs/Konsole/Vt102Emulation.cpp
        Libs/Konsole/Screen.cpp
        Libs/Konsole/ScreenWindow.cpp
        Libs/Konsole/TerminalDisplay.cpp
        Libs/Konsole/konsole.cpp
)

set_source_files_properties(
        Libs/Konsole/util/utf8proc.c
        PROPERTIES LANGUAGE C
)

set(KONSOLE_HEADERS
        Libs/Konsole/util/utf8proc.h
        Libs/Konsole/util/CharWidth.h
        Libs/Konsole/util/CharacterColor.h
        Libs/Konsole/util/Character.h
        Libs/Konsole/util/ColorScheme.h
        Libs/Konsole/util/Filter.h
        Libs/Konsole/util/History.h
        Libs/Konsole/util/HistorySearch.h
        Libs/Konsole/util/KeyboardTranslator.h
        Libs/Konsole/util/SearchBar.h
        Libs/Konsole/util/TerminalCharacterDecoder.h
        Libs/Konsole/Emulation.h
        Libs/Konsole/Vt102Emulation.h
        Libs/Konsole/Screen.h
        Libs/Konsole/ScreenWindow.h
        Libs/Konsole/TerminalDisplay.h
        Libs/Konsole/konsole.h
)

###

SET( HEADERS
        Headers/main.h
        Headers/Utils/Logs.h
        Headers/UI/Dialogs/DialogConnect.h
        Headers/Utils/Convert.h
        Headers/MainAdaptix.h
        Headers/Client/Storage.h
        Headers/Client/AuthProfile.h
        Headers/Utils/FileSystem.h
        Headers/Client/Requestor.h
        Headers/Client/HttpRequestManager.h
        Headers/UI/MainUI.h
        Headers/UI/Widgets/AdaptixWidget.h
        Headers/UI/Widgets/LogsWidget.h
        Headers/Workers/WebSocketWorker.h
        Headers/UI/Dialogs/DialogSyncPacket.h
        Headers/UI/Widgets/ListenersWidget.h
        Headers/UI/Dialogs/DialogListener.h
        Headers/UI/Widgets/SessionsTableWidget.h
        Headers/UI/Dialogs/DialogAgent.h
        Headers/UI/Widgets/ConsoleWidget.h
        Headers/Agent/Agent.h
        Headers/Workers/LastTickWorker.h
        Headers/Agent/Commander.h
        Headers/UI/Widgets/DownloadsWidget.h
        Headers/UI/Widgets/BrowserFilesWidget.h
        Headers/UI/Widgets/BrowserProcessWidget.h
        Headers/UI/Widgets/TasksWidget.h
        Headers/UI/Dialogs/DialogSettings.h
        Headers/Client/Extender.h
        Headers/UI/Dialogs/DialogExtender.h
        Headers/Utils/CustomElements.h
        Headers/Client/Settings.h
        Headers/UI/Widgets/TunnelsWidget.h
        Headers/Utils/KeyPressHandler.h
        Headers/UI/Graph/SessionsGraph.h
        Headers/UI/Graph/GraphItem.h
        Headers/UI/Graph/GraphItemLink.h
        Headers/UI/Graph/GraphScene.h
        Headers/UI/Graph/LayoutTreeLeft.h
        Headers/UI/Graph/LayoutTreeTop.h
        Headers/UI/Widgets/ScreenshotsWidget.h
        Headers/UI/Dialogs/DialogTunnel.h
        Headers/Client/TunnelEndpoint.h
        Headers/Workers/TunnelWorker.h
        Headers/Workers/SocksHandshakeWorker.h
        Headers/UI/Widgets/TerminalContainerWidget.h
        Headers/Workers/TerminalWorker.h
        Headers/UI/Dialogs/DialogDownloader.h
        Headers/Workers/DownloaderWorker.h
        Headers/Workers/UploaderWorker.h
        Headers/UI/Dialogs/DialogUploader.h
        Headers/Client/AxScript/AxScriptManager.h
        Headers/Client/AxScript/AxScriptEngine.h
        Headers/Client/AxScript/AxScriptWorker.h
        Headers/Client/AxScript/AxUiFactory.h
        Headers/Client/AxScript/BridgeApp.h
        Headers/Client/AxScript/BridgeEvent.h
        Headers/Client/AxScript/BridgeForm.h
        Headers/Client/AxScript/BridgeMenu.h
        Headers/Client/AxScript/AxCommandWrappers.h
        Headers/Client/AxScript/AxElementWrappers.h
        Headers/UI/Widgets/CredentialsWidget.h
        Headers/UI/Dialogs/DialogCredential.h
        Headers/UI/Widgets/AxConsoleWidget.h
        Headers/UI/Dialogs/DialogTarget.h
        Headers/UI/Dialogs/DialogSaveTask.h
        Headers/UI/Widgets/ChatWidget.h
        Headers/UI/Widgets/AbstractDock.h
        Headers/Utils/NonBlockingDialogs.h
        Headers/Utils/FontManager.h
        Headers/Utils/TitleBarStyle.h
        Headers/UI/Widgets/DockWidgetRegister.h
)

add_executable(AdaptixClient
        ${KONSOLE_SOURCES}
        ${KONSOLE_HEADERS}

        ${KDDOCKWIDGETS_RESOURCES}

        ${HEADERS}

        Source/main.cpp

        Resources/Resources.qrc

        Source/Utils/Logs.cpp
        Source/UI/Dialogs/DialogConnect.cpp
        Source/Utils/Convert.cpp
        Source/MainAdaptix.cpp
        Source/Client/Storage.cpp
        Source/Client/AuthProfile.cpp
        Source/Utils/FileSystem.cpp
        Source/Client/Requestor.cpp
        Source/Client/HttpRequestManager.cpp
        Source/UI/MainUI.cpp
        Source/UI/Widgets/AdaptixWidget.cpp
        Source/UI/Widgets/LogsWidget.cpp
        Source/Workers/WebSocketWorker.cpp
        Source/UI/Dialogs/DialogSyncPacket.cpp
        Source/Client/ProcessSyncPacket.cpp
        Source/UI/Widgets/ListenersWidget.cpp
        Source/UI/Dialogs/DialogListener.cpp
        Source/UI/Widgets/SessionsTableWidget.cpp
        Source/UI/Dialogs/DialogAgent.cpp
        Source/UI/Dialogs/DialogAgentData.cpp
        Source/UI/Widgets/ConsoleWidget.cpp
        Source/Agent/Agent.cpp
        Source/Workers/LastTickWorker.cpp
        Source/Agent/Commander.cpp
        Source/UI/Widgets/DownloadsWidget.cpp
        Source/UI/Widgets/BrowserFilesWidget.cpp
        Source/UI/Widgets/BrowserProcessWidget.cpp
        Source/UI/Widgets/TasksWidget.cpp
        Source/UI/Dialogs/DialogSettings.cpp
        Source/Client/Extender.cpp
        Source/UI/Dialogs/DialogExtender.cpp
        Source/Utils/CustomElements.cpp
        Source/Client/Settings.cpp
        Source/UI/Widgets/TunnelsWidget.cpp
        Source/UI/Graph/SessionsGraph.cpp
        Source/UI/Graph/GraphItem.cpp
        Source/UI/Graph/GraphItemLink.cpp
        Source/UI/Graph/GraphScene.cpp
        Source/UI/Graph/LayoutTreeLeft.cpp
        Source/UI/Graph/LayoutTreeTop.cpp
        Source/UI/Widgets/ScreenshotsWidget.cpp
        Source/UI/Dialogs/DialogTunnel.cpp
        Source/Client/TunnelEndpoint.cpp
        Source/Workers/TunnelWorker.cpp
        Source/Workers/SocksHandshakeWorker.cpp
        Source/UI/Widgets/TerminalContainerWidget.cpp
        Source/Workers/TerminalWorker.cpp
        Source/UI/Dialogs/DialogDownloader.cpp
        Source/Workers/DownloaderWorker.cpp
        Source/Workers/UploaderWorker.cpp
        Source/UI/Dialogs/DialogUploader.cpp
        Source/Client/AxScript/AxScriptManager.cpp
        Source/Client/AxScript/AxScriptEngine.cpp
        Source/Client/AxScript/AxScriptWorker.cpp
        Source/Client/AxScript/AxUiFactory.cpp
        Source/Client/AxScript/BridgeApp.cpp
        Source/Client/AxScript/BridgeEvent.cpp
        Source/Client/AxScript/BridgeForm.cpp
        Source/Client/AxScript/BridgeMenu.cpp
        Source/Client/AxScript/AxCommandWrappers.cpp
        Source/Client/AxScript/AxElementWrappers.cpp
        Source/UI/Widgets/CredentialsWidget.cpp
        Source/UI/Dialogs/DialogCredential.cpp
        Source/UI/Widgets/AxConsoleWidget.cpp
        Source/UI/Widgets/TargetsWidget.cpp
        Source/UI/Dialogs/DialogTarget.cpp
        Source/UI/Dialogs/DialogSaveTask.cpp
        Source/UI/Widgets/ChatWidget.cpp
        Source/Utils/NonBlockingDialogs.cpp
        Source/Utils/FontManager.cpp
        Source/Utils/TitleBarStyle.cpp
)

target_compile_definitions(
        AdaptixClient
        PUBLIC KDDW_FRONTEND_QTWIDGETS KDDW_FRONTEND_QT BUILDING_DOCKS_LIBRARY
        PRIVATE QT_DEPRECATED_WARNINGS QT_NO_KEYWORDS
#        QT_NO_SIGNALS_SLOTS_KEYWORDS
)

if(UNIX)
    target_link_libraries( AdaptixClient
            PRIVATE
            Qt6::Core
            Qt6::Gui
            Qt6::Widgets
            Qt6::Network
            Qt6::WebSockets
            Qt6::Sql
            Qt6::Qml
            OpenSSL::Crypto

            kddockwidgets

            pthread dl
    )
elseif(APPLE)
    target_link_libraries( AdaptixClient
            PRIVATE
            Qt6::Core
            Qt6::Gui
            Qt6::Widgets
            Qt6::Network
            Qt6::WebSockets
            Qt6::Sql
            Qt6::Qml
            OpenSSL::Crypto

            kddockwidgets

            pthread dl
    )
else()
    target_link_libraries( AdaptixClient
            PRIVATE
            Qt6::Core
            Qt6::Gui
            Qt6::Widgets
            Qt6::Network
            Qt6::WebSockets
            Qt6::Sql
            Qt6::Qml

            kddockwidgets

            wsock32 ws2_32 crypt32 iphlpapi netapi32 version winmm userenv dwmapi
    )
endif()

=== AdaptixServer/extenders/beacon_agent/Makefile ===
all: clean
	@ echo "    * Building agent_beacon plugin"
	@ mkdir dist
	@ cp config.json ax_config.axs ./dist/
	@ GOEXPERIMENT=jsonv2,greenteagc go build -buildmode=plugin -ldflags="-s -w" -o ./dist/agent_beacon.so pl_main.go pl_agent.go pl_packer.go pl_utils.go pl_sideloading.go
	@ echo "      done..."

	@ echo "    * Building agent"
	@ (cd src_beacon && $(MAKE) --no-print-directory)
	@ mv src_beacon/objects_http ./dist/objects_http
	@ mv src_beacon/objects_smb ./dist/objects_smb
	@ mv src_beacon/objects_tcp ./dist/objects_tcp
	@ echo "      done..."

clean:
	@ rm -rf dist

=== AdaptixServer/extenders/beacon_listener_http/Makefile ===
all: clean
	@ echo "    * Building listener_beacon_http plugin"
	@ mkdir dist
	@ cp config.json ax_config.axs ./dist/
	@ GOEXPERIMENT=jsonv2,greenteagc go build -buildmode=plugin -ldflags="-s -w" -o ./dist/listener_beacon_http.so pl_main.go pl_http.go pl_listener.go
	@ echo "      done..."

clean:
	@ rm -rf dist

=== AdaptixServer/extenders/beacon_listener_smb/Makefile ===
all: clean
	@ echo "    * Building listener_beacon_smb plugin"
	@ mkdir dist
	@ cp config.json ax_config.axs ./dist/
	@ GOEXPERIMENT=jsonv2,greenteagc go build -buildmode=plugin -ldflags="-s -w" -o ./dist/listener_beacon_smb.so pl_main.go pl_smb.go pl_listener.go
	@ echo "      done..."

clean:
	@ rm -rf dist

=== AdaptixServer/extenders/beacon_listener_tcp/Makefile ===
all: clean
	@ echo "    * Building listener_beacon_tcp plugin"
	@ mkdir dist
	@ cp config.json ax_config.axs ./dist/
	@ GOEXPERIMENT=jsonv2,greenteagc go build -buildmode=plugin -ldflags="-s -w" -o ./dist/listener_beacon_tcp.so pl_main.go pl_tcp.go pl_listener.go
	@ echo "      done..."

clean:
	@ rm -rf dist

=== AdaptixServer/extenders/gopher_agent/Makefile ===
all: clean
	@ echo "    * Building agent_gopher plugin"
	@ mkdir dist
	@ cp config.json ax_config.axs ./dist/
	@ GOEXPERIMENT=jsonv2,greenteagc go build -buildmode=plugin -ldflags="-s -w" -o ./dist/agent_gopher.so pl_main.go pl_agent.go pl_utils.go
	@ echo "      done..."

	@ echo "    * Building agent"
	@ (cd src_gopher && $(MAKE) --no-print-directory)
	@ cp -r src_gopher ./dist/src_gopher
	@ echo "      done..."

clean:
	@ rm -rf dist

=== AdaptixServer/extenders/gopher_listener_tcp/Makefile ===
all: clean
	@ echo "    * Building listener_gopher_tcp plugin"
	@ mkdir dist
	@ cp config.json ax_config.axs ./dist/
	@ GOEXPERIMENT=jsonv2,greenteagc go build -buildmode=plugin -ldflags="-s -w" -o ./dist/listener_gopher_tcp.so pl_main.go pl_listener.go pl_tcp.go map.go
	@ echo "      done..."

clean:
	@ rm -rf dist

=== AdaptixServer/extenders/beacon_agent/src_beacon/Makefile ===
SOURCES := $(wildcard beacon/*.cpp)

BEACON_DIR := "beacon"
FILES_DIR := "files"
HTTP_DIST_DIR := "objects_http"
SMB_DIST_DIR := "objects_smb"
TCP_DIST_DIR := "objects_tcp"

HTTP_OBJECTS_X64 := $(patsubst beacon/%.cpp, $(HTTP_DIST_DIR)/%.x64.o, $(SOURCES))
HTTP_OBJECTS_X86 := $(patsubst beacon/%.cpp, $(HTTP_DIST_DIR)/%.x86.o, $(SOURCES))

SMB_OBJECTS_X64 := $(patsubst beacon/%.cpp, $(SMB_DIST_DIR)/%.x64.o, $(SOURCES))
SMB_OBJECTS_X86 := $(patsubst beacon/%.cpp, $(SMB_DIST_DIR)/%.x86.o, $(SOURCES))

TCP_OBJECTS_X64 := $(patsubst beacon/%.cpp, $(TCP_DIST_DIR)/%.x64.o, $(SOURCES))
TCP_OBJECTS_X86 := $(patsubst beacon/%.cpp, $(TCP_DIST_DIR)/%.x86.o, $(SOURCES))

SECURITY_FLAGS := -fno-stack-protector \
                 -fno-strict-overflow \
                 -fno-delete-null-pointer-checks \
                 -fno-strict-aliasing \
                 -fno-builtin

OPTIMIZATION_FLAGS := -fno-exceptions \
                     -fno-unwind-tables \
                     -fno-asynchronous-unwind-tables

COMMON_FLAGS := -I $(BEACON_DIR) \
                -fpermissive \
                -w \
                -masm=intel \
                -fPIC \
                $(SECURITY_FLAGS) \
                $(OPTIMIZATION_FLAGS)

.PHONY: all clean pre x64 x86

NPROC := $(shell nproc)
ifeq ($(MAKELEVEL), 0)
    MAKEFLAGS += -j$(NPROC) --no-print-directory
endif

all: clean pre x64 x86
	@ # http
	@ cp $(FILES_DIR)/config.tpl $(HTTP_DIST_DIR)/config.cpp
	@ cp $(FILES_DIR)/stub.x64.bin $(HTTP_DIST_DIR)/stub.x64.bin
	@ cp $(FILES_DIR)/stub.x86.bin $(HTTP_DIST_DIR)/stub.x86.bin
	@ # smb
	@ cp $(FILES_DIR)/config.tpl $(SMB_DIST_DIR)/config.cpp
	@ cp $(FILES_DIR)/stub.x64.bin $(SMB_DIST_DIR)/stub.x64.bin
	@ cp $(FILES_DIR)/stub.x86.bin $(SMB_DIST_DIR)/stub.x86.bin
	@ # tcp
	@ cp $(FILES_DIR)/config.tpl $(TCP_DIST_DIR)/config.cpp
	@ cp $(FILES_DIR)/stub.x64.bin $(TCP_DIST_DIR)/stub.x64.bin
	@ cp $(FILES_DIR)/stub.x86.bin $(TCP_DIST_DIR)/stub.x86.bin

clean:
	@rm -rf $(HTTP_DIST_DIR) $(SMB_DIST_DIR) $(TCP_DIST_DIR)
	@mkdir -p $(HTTP_DIST_DIR) $(SMB_DIST_DIR) $(TCP_DIST_DIR)

x64: $(HTTP_OBJECTS_X64) $(SMB_OBJECTS_X64) $(TCP_OBJECTS_X64)
	@ # http
	@x86_64-w64-mingw32-g++ -c $(COMMON_FLAGS) $(BEACON_DIR)/main.cpp -D BEACON_HTTP -D BUILD_SVC -o $(HTTP_DIST_DIR)/main_service.x64.o
	@x86_64-w64-mingw32-g++ -c $(COMMON_FLAGS) $(BEACON_DIR)/main.cpp -D_WIN32_WINNT=0x0600 -D BEACON_HTTP -D BUILD_DLL -o $(HTTP_DIST_DIR)/main_dll.x64.o
	@x86_64-w64-mingw32-g++ -c $(COMMON_FLAGS) $(BEACON_DIR)/main.cpp -D BEACON_HTTP -D BUILD_SHELLCODE -o $(HTTP_DIST_DIR)/main_shellcode.x64.o
	@rm $(HTTP_DIST_DIR)/ConnectorSMB.x64.o $(HTTP_DIST_DIR)/ConnectorTCP.x64.o
	@ # smb
	@x86_64-w64-mingw32-g++ -c $(COMMON_FLAGS) $(BEACON_DIR)/main.cpp -D BEACON_SMB -D BUILD_SVC -o $(SMB_DIST_DIR)/main_service.x64.o
	@x86_64-w64-mingw32-g++ -c $(COMMON_FLAGS) $(BEACON_DIR)/main.cpp -D_WIN32_WINNT=0x0600 -D BEACON_SMB -D BUILD_DLL -o $(SMB_DIST_DIR)/main_dll.x64.o
	@x86_64-w64-mingw32-g++ -c $(COMMON_FLAGS) $(BEACON_DIR)/main.cpp -D BEACON_SMB -D BUILD_SHELLCODE -o $(SMB_DIST_DIR)/main_shellcode.x64.o
	@rm $(SMB_DIST_DIR)/ConnectorHTTP.x64.o $(SMB_DIST_DIR)/ConnectorTCP.x64.o
	@ # tcp
	@x86_64-w64-mingw32-g++ -c $(COMMON_FLAGS) $(BEACON_DIR)/main.cpp -D BEACON_SMB -D BUILD_SVC -o $(TCP_DIST_DIR)/main_service.x64.o
	@x86_64-w64-mingw32-g++ -c $(COMMON_FLAGS) $(BEACON_DIR)/main.cpp -D_WIN32_WINNT=0x0600 -D BEACON_SMB -D BUILD_DLL -o $(TCP_DIST_DIR)/main_dll.x64.o
	@x86_64-w64-mingw32-g++ -c $(COMMON_FLAGS) $(BEACON_DIR)/main.cpp -D BEACON_SMB -D BUILD_SHELLCODE -o $(TCP_DIST_DIR)/main_shellcode.x64.o
	@rm $(TCP_DIST_DIR)/ConnectorHTTP.x64.o $(TCP_DIST_DIR)/ConnectorSMB.x64.o

x86: $(HTTP_OBJECTS_X86) $(SMB_OBJECTS_X86) $(TCP_OBJECTS_X86)
	@ # http
	@i686-w64-mingw32-g++ -c $(COMMON_FLAGS) $(BEACON_DIR)/main.cpp -D BEACON_HTTP -D BUILD_SVC -o $(HTTP_DIST_DIR)/main_service.x86.o
	@i686-w64-mingw32-g++ -c $(COMMON_FLAGS) $(BEACON_DIR)/main.cpp -D_WIN32_WINNT=0x0600 -D BEACON_HTTP -D BUILD_DLL -o $(HTTP_DIST_DIR)/main_dll.x86.o
	@i686-w64-mingw32-g++ -c $(COMMON_FLAGS) $(BEACON_DIR)/main.cpp -D BEACON_HTTP -D BUILD_SHELLCODE -o $(HTTP_DIST_DIR)/main_shellcode.x86.o
	@rm $(HTTP_DIST_DIR)/ConnectorSMB.x86.o $(HTTP_DIST_DIR)/ConnectorTCP.x86.o
	@ # smb
	@i686-w64-mingw32-g++ -c $(COMMON_FLAGS) $(BEACON_DIR)/main.cpp -D BEACON_SMB -D BUILD_SVC -o $(SMB_DIST_DIR)/main_service.x86.o
	@i686-w64-mingw32-g++ -c $(COMMON_FLAGS) $(BEACON_DIR)/main.cpp -D_WIN32_WINNT=0x0600 -D BEACON_SMB -D BUILD_DLL -o $(SMB_DIST_DIR)/main_dll.x86.o
	@i686-w64-mingw32-g++ -c $(COMMON_FLAGS) $(BEACON_DIR)/main.cpp -D BEACON_SMB -D BUILD_SHELLCODE -o $(SMB_DIST_DIR)/main_shellcode.x86.o
	@rm $(SMB_DIST_DIR)/ConnectorHTTP.x86.o $(SMB_DIST_DIR)/ConnectorTCP.x86.o
	@ # tcp
	@i686-w64-mingw32-g++ -c $(COMMON_FLAGS) $(BEACON_DIR)/main.cpp -D BEACON_SMB -D BUILD_SVC -o $(TCP_DIST_DIR)/main_service.x86.o
	@i686-w64-mingw32-g++ -c $(COMMON_FLAGS) $(BEACON_DIR)/main.cpp -D_WIN32_WINNT=0x0600 -D BEACON_SMB -D BUILD_DLL -o $(TCP_DIST_DIR)/main_dll.x86.o
	@i686-w64-mingw32-g++ -c $(COMMON_FLAGS) $(BEACON_DIR)/main.cpp -D BEACON_SMB -D BUILD_SHELLCODE -o $(TCP_DIST_DIR)/main_shellcode.x86.o
	@rm $(TCP_DIST_DIR)/ConnectorHTTP.x86.o $(TCP_DIST_DIR)/ConnectorSMB.x86.o



$(HTTP_DIST_DIR)/%.x64.o: beacon/%.cpp
	@x86_64-w64-mingw32-g++ -c $(COMMON_FLAGS) -D BEACON_HTTP -c $< -o $@

$(HTTP_DIST_DIR)/%.x86.o: beacon/%.cpp
	@i686-w64-mingw32-g++ -c $(COMMON_FLAGS) -D BEACON_HTTP -c $< -o $@



$(SMB_DIST_DIR)/%.x64.o: beacon/%.cpp
	@x86_64-w64-mingw32-g++ -c $(COMMON_FLAGS) -D BEACON_SMB -c $< -o $@

$(SMB_DIST_DIR)/%.x86.o: beacon/%.cpp
	@i686-w64-mingw32-g++ -c $(COMMON_FLAGS) -D BEACON_SMB -c $< -o $@



$(TCP_DIST_DIR)/%.x64.o: beacon/%.cpp
	@x86_64-w64-mingw32-g++ -c $(COMMON_FLAGS) -D BEACON_TCP -c $< -o $@

$(TCP_DIST_DIR)/%.x86.o: beacon/%.cpp
	@i686-w64-mingw32-g++ -c $(COMMON_FLAGS) -D BEACON_TCP -c $< -o $@

=== AdaptixServer/extenders/gopher_agent/src_gopher/Makefile ===
all: agent

agent:
	@ GOWORK=off CGO_ENABLED=0 GOOS=linux GOARCH=amd64 go build -modfile=go.mod -trimpath -ldflags="-s -w" -o agent && rm agent
	@ GOWORK=off CGO_ENABLED=0 GOOS=linux GOARCH=arm64 go build -modfile=go.mod -trimpath -ldflags="-s -w" -o agent && rm agent
	@ GOWORK=off CGO_ENABLED=0 GOOS=darwin GOARCH=amd64 go build -modfile=go.mod -trimpath -ldflags="-s -w" -o agent && rm agent
	@ GOWORK=off CGO_ENABLED=0 GOOS=darwin GOARCH=arm64 go build -modfile=go.mod -trimpath -ldflags="-s -w" -o agent && rm agent
	@ GOWORK=off CGO_ENABLED=0 GOOS=windows GOARCH=amd64 go build -modfile=go.mod -trimpath -ldflags="-s -w" -o agent && rm agent
	@ GOWORK=off CGO_ENABLED=0 GOOS=windows GOARCH=arm64 go build -modfile=go.mod -trimpath -ldflags="-s -w" -o agent && rm agent

=== debian/changelog ===
adaptixc2 (0.0~git20260120.3d608a9-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Daniel Ruiz de Alegria <daniruiz@kali.org>  Thu, 22 Jan 2026 11:13:19 +0100

## adaptixc2 1.1~git20260208.6605760

=== Makefile ===
--- 
+++ 
@@ -69,7 +69,7 @@
 	@ echo "[*] Building adaptixserver..."
 	@ cd AdaptixServer && GOEXPERIMENT=jsonv2,greenteagc go build -buildvcs=false -ldflags="-s -w" -o adaptixserver > /dev/null 2>build_error.log || { echo "[ERROR] Failed to build AdaptixServer:"; cat build_error.log >&2; exit 1; }     # for static build use CGO_ENABLED=0
 	@ mv AdaptixServer/adaptixserver ./$(DIST_DIR)/
-	@ cp AdaptixServer/ssl_gen.sh AdaptixServer/profile.json AdaptixServer/404page.html ./$(DIST_DIR)/
+	@ cp AdaptixServer/ssl_gen.sh AdaptixServer/profile.yaml AdaptixServer/404page.html ./$(DIST_DIR)/
 	@ echo "[+] done"
 
 server-ext: clean server extenders

=== AdaptixClient/CMakeLists.txt ===
--- 
+++ 
@@ -134,6 +134,7 @@
         Headers/Workers/SocksHandshakeWorker.h
         Headers/UI/Widgets/TerminalContainerWidget.h
         Headers/Workers/TerminalWorker.h
+        Headers/Workers/BuildWorker.h
         Headers/UI/Dialogs/DialogDownloader.h
         Headers/Workers/DownloaderWorker.h
         Headers/Workers/UploaderWorker.h
@@ -156,6 +157,7 @@
         Headers/UI/Widgets/ChatWidget.h
         Headers/UI/Widgets/AbstractDock.h
         Headers/Utils/NonBlockingDialogs.h
+        Headers/UI/Dialogs/DialogSubscriptions.h
         Headers/Utils/FontManager.h
         Headers/Utils/TitleBarStyle.h
         Headers/UI/Widgets/DockWidgetRegister.h
@@ -175,6 +177,7 @@
 
         Source/Utils/Logs.cpp
         Source/UI/Dialogs/DialogConnect.cpp
+        Source/UI/Dialogs/DialogSubscriptions.cpp
         Source/Utils/Convert.cpp
         Source/MainAdaptix.cpp
         Source/Client/Storage.cpp
@@ -220,6 +223,7 @@
         Source/Workers/SocksHandshakeWorker.cpp
         Source/UI/Widgets/TerminalContainerWidget.cpp
         Source/Workers/TerminalWorker.cpp
+        Source/Workers/BuildWorker.cpp
         Source/UI/Dialogs/DialogDownloader.cpp
         Source/Workers/DownloaderWorker.cpp
         Source/Workers/UploaderWorker.cpp

=== AdaptixClient/Libs/kddockwidgets/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.15)
project(KDDockWidgets LANGUAGES CXX C)

option(KDDockWidgets_XLib "On Linux, link against XLib, for a more robust window z-order detection." OFF)

add_definitions( -DQT_USE_QSTRINGBUILDER -DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT -DQT_STRICT_ITERATORS -DQT_NO_KEYWORDS -DQT_NO_FOREACH ) # -DQT_NO_SIGNALS_SLOTS_KEYWORDS

include(${CMAKE_CURRENT_SOURCE_DIR}/kdbindings.cmake)
include(${CMAKE_CURRENT_SOURCE_DIR}/nlohmann.cmake)

set(KDDW_LAYOUTING_SRCS
        core/layouting/Item.cpp
        core/layouting/ItemFreeContainer.cpp
        core/Logging.cpp
        KDDockWidgets.cpp
)

set(KDDW_BACKEND_SRCS
        Config.cpp
        LayoutSaver.cpp
        core/Position.cpp
        core/DelayedCall.cpp
        core/Draggable.cpp
        core/WindowBeingDragged.cpp
        core/DragController.cpp
        core/WidgetResizeHandler.cpp
        core/Action.cpp
        core/DockRegistry.cpp
        core/FocusScope.cpp
        core/DockWidget.cpp
        core/DropArea.cpp
        core/DropIndicatorOverlay.cpp
        core/FloatingWindow.cpp
        core/Group.cpp
        core/Layout.cpp
        core/MainWindow.cpp
        core/MDILayout.cpp
        core/Separator.cpp
        core/SideBar.cpp
        core/Stack.cpp
        core/TitleBar.cpp
        core/TabBar.cpp
        core/ViewFactory.cpp
        core/Window.cpp
        core/Screen.cpp
        core/ViewGuard.cpp
        core/Controller.cpp
        core/Platform.cpp
        core/View.cpp
        core/indicators/NullDropIndicatorOverlay.cpp
        core/indicators/ClassicDropIndicatorOverlay.cpp
        core/indicators/SegmentedDropIndicatorOverlay.cpp
        core/views/ClassicIndicatorWindowViewInterface.cpp
        core/views/MainWindowMDIViewInterface.cpp
        core/views/MainWindowViewInterface.cpp
        core/views/GroupViewInterface.cpp
        core/views/DockWidgetViewInterface.cpp
        core/views/StackViewInterface.cpp
        core/views/TabBarViewInterface.cpp
        core/views/TitleBarViewInterface.cpp
        core/views/SideBarViewInterface.cpp
)

set(KDDW_QTCOMMON_SRCS
        qtcommon/Platform.cpp
        qtcommon/Window.cpp
        qtcommon/View.cpp
        qtcommon/Screen.cpp
        qtcommon/ViewWrapper.cpp
        qtcommon/CustomFrameHelper.cpp
        qtcommon/DragControllerWayland_p.cpp
)

set(KDDW_FRONTEND_QTWIDGETS_SRCS
        qtwidgets/Action.cpp
        qtwidgets/Window.cpp
        qtwidgets/Platform.cpp
        qtwidgets/views/View.cpp
        qtwidgets/views/ViewWrapper.cpp
        qtwidgets/views/FloatingWindow.cpp
        qtwidgets/views/DockWidget.cpp
        qtwidgets/views/DropArea.cpp
        qtwidgets/views/MDILayout.cpp
        qtwidgets/views/Group.cpp
        qtwidgets/views/MainWindow.cpp
        qtwidgets/views/MainWindowMDI.cpp
        qtwidgets/views/MDIArea.cpp
        qtwidgets/views/RubberBand.cpp
        qtwidgets/views/Separator.cpp
        qtwidgets/views/TitleBar.cpp
        qtwidgets/views/TabBar.cpp
        qtwidgets/views/Stack.cpp
        qtwidgets/views/SideBar.cpp
        qtwidgets/views/ClassicIndicatorsWindow.cpp
        qtwidgets/views/SegmentedDropIndicatorOverlay.cpp
        qtwidgets/ViewFactory.cpp
        qtwidgets/DebugWindow.cpp
        qtwidgets/ObjectViewer.cpp
)

set(KDDW_FRONTEND_QTCOMPAT_SRCS qtcompat/Object.cpp)

set(KDDW_PUBLIC_HEADERS
        docks_export.h
        Config.h
        KDDockWidgets.h
        LayoutSaver.h
        Qt5Qt6Compat_p.h
        QtCompat_p.h
)

set(DOCKSLIBS_SRCS
        ${KDDW_LAYOUTING_SRCS}
        ${KDDW_FRONTEND_QTWIDGETS_SRCS}
        ${KDDW_BACKEND_SRCS}
        ${KDDW_QTCOMMON_SRCS}
)

add_library(kddockwidgets ${DOCKSLIBS_SRCS} ${KDDW_PUBLIC_HEADERS})

target_compile_definitions(
        kddockwidgets
        PUBLIC KDDW_FRONTEND_QTWIDGETS KDDW_FRONTEND_QT
        PRIVATE BUILDING_DOCKS_LIBRARY
)

find_package(Qt6 REQUIRED COMPONENTS Core Widgets)
find_package(Qt6 COMPONENTS GuiPrivate WidgetsPrivate QUIET)

if (TARGET Qt6::GuiPrivate)
    target_link_libraries(kddockwidgets PRIVATE Qt6::GuiPrivate)
    target_include_directories(kddockwidgets PRIVATE $<TARGET_PROPERTY:Qt6::GuiPrivate,INTERFACE_INCLUDE_DIRECTORIES>)
endif()

if (TARGET Qt6::WidgetsPrivate)
    target_link_libraries(kddockwidgets PRIVATE Qt6::WidgetsPrivate)
endif()

target_link_libraries(kddockwidgets PUBLIC Qt6::Core Qt6::Widgets)

if(KDDockWidgets_XLib)
    message(STATUS "KDDockWidgets_XLib enabled: will link to X11 and define KDDockWidgets_XLIB")
    add_definitions(-DKDDockWidgets_XLIB)
    find_package(X11 REQUIRED)
    target_link_libraries(kddockwidgets PRIVATE X11::X11)
else()
    message(STATUS "KDDockWidgets_XLib disabled (default). X11-specific code will be inactive.")
endif()

set(FWD_HEADERS_DIR ${CMAKE_CURRENT_SOURCE_DIR}/fwd_headers/kddockwidgets)
file(MAKE_DIRECTORY ${FWD_HEADERS_DIR})

set(PUBLIC_HEADERS_TO_FORWARD
        qtwidgets/ViewFactory.h
        qtwidgets/views/DockWidget.h
        qtwidgets/views/DropArea.h
        qtwidgets/views/FloatingWindow.h
        qtwidgets/views/MDILayout.h
        qtwidgets/views/Group.h
        qtwidgets/views/MainWindow.h
        qtwidgets/views/MainWindowMDI.h
        qtwidgets/views/MDIArea.h
        qtwidgets/views/RubberBand.h
        qtwidgets/views/Separator.h
        qtwidgets/views/SideBar.h
        qtwidgets/views/Stack.h
        qtwidgets/views/TabBar.h
        qtwidgets/views/TitleBar.h
        qtwidgets/views/ClassicIndicatorsWindow.h
        qtwidgets/views/SegmentedDropIndicatorOverlay.h
)

foreach(hdr IN LISTS PUBLIC_HEADERS_TO_FORWARD)
    file(COPY ${CMAKE_CURRENT_SOURCE_DIR}/${hdr} DESTINATION ${FWD_HEADERS_DIR})
endforeach()

target_include_directories(kddockwidgets
        PUBLIC
        ${CMAKE_CURRENT_BINARY_DIR}
        ${CMAKE_CURRENT_SOURCE_DIR}/fwd_headers
        PRIVATE
        ${CMAKE_CURRENT_SOURCE_DIR}
        ${CMAKE_CURRENT_SOURCE_DIR}/core
        ${CMAKE_CURRENT_SOURCE_DIR}/core/views
        ${CMAKE_CURRENT_SOURCE_DIR}/core/indicators
        ${CMAKE_CURRENT_SOURCE_DIR}/qtcommon
        ${CMAKE_CURRENT_SOURCE_DIR}/3rdparty/nlohmann
)

kddw_link_to_kdbindings(kddockwidgets)
link_to_nlohman(kddockwidgets)

include(GenerateExportHeader)
generate_export_header(kddockwidgets EXPORT_FILE_NAME "${CMAKE_CURRENT_BINARY_DIR}/kddockwidgets_export.h")

=== AdaptixServer/extenders/beacon_agent/Makefile ===
all: clean
	@ echo "    * Building agent_beacon plugin"
	@ mkdir dist
	@ cp config.yaml ax_config.axs ./dist/
	@ GOEXPERIMENT=jsonv2,greenteagc go build -buildmode=plugin -ldflags="-s -w" -o ./dist/agent_beacon.so pl_main.go pl_packer.go pl_utils.go pl_sideloading.go
	@ echo "      done..."

	@ echo "    * Building agent"
	@ (cd src_beacon && $(MAKE) --no-print-directory)
	@ mv src_beacon/objects_http ./dist/objects_http
	@ mv src_beacon/objects_smb ./dist/objects_smb
	@ mv src_beacon/objects_tcp ./dist/objects_tcp
	@ mv src_beacon/objects_dns ./dist/objects_dns
	@ echo "      done..."

clean:
	@ rm -rf dist

=== AdaptixServer/extenders/beacon_listener_dns/Makefile ===
all: clean
	@ echo "    * Building beacon_listener_dns plugin"
	@ mkdir dist
	@ cp config.yaml ax_config.axs ./dist/
	@ GOEXPERIMENT=jsonv2,greenteagc go build -buildmode=plugin -ldflags="-s -w" -o ./dist/beacon_listener_dns.so pl_main.go pl_transport.go
	@ echo "      done..."

clean:
	@ rm -rf dist

=== AdaptixServer/extenders/beacon_listener_http/Makefile ===
all: clean
	@ echo "    * Building listener_beacon_http plugin"
	@ mkdir dist
	@ cp config.yaml ax_config.axs ./dist/
	@ GOEXPERIMENT=jsonv2,greenteagc go build -buildmode=plugin -ldflags="-s -w" -o ./dist/listener_beacon_http.so pl_main.go pl_transport.go
	@ echo "      done..."

clean:
	@ rm -rf dist

=== AdaptixServer/extenders/beacon_listener_smb/Makefile ===
all: clean
	@ echo "    * Building listener_beacon_smb plugin"
	@ mkdir dist
	@ cp config.yaml ax_config.axs ./dist/
	@ GOEXPERIMENT=jsonv2,greenteagc go build -buildmode=plugin -ldflags="-s -w" -o ./dist/listener_beacon_smb.so pl_main.go pl_transport.go
	@ echo "      done..."

clean:
	@ rm -rf dist

=== AdaptixServer/extenders/beacon_listener_tcp/Makefile ===
all: clean
	@ echo "    * Building listener_beacon_tcp plugin"
	@ mkdir dist
	@ cp config.yaml ax_config.axs ./dist/
	@ GOEXPERIMENT=jsonv2,greenteagc go build -buildmode=plugin -ldflags="-s -w" -o ./dist/listener_beacon_tcp.so pl_main.go pl_transport.go
	@ echo "      done..."

clean:
	@ rm -rf dist

=== AdaptixServer/extenders/gopher_agent/Makefile ===
all: clean
	@ echo "    * Building agent_gopher plugin"
	@ mkdir dist
	@ cp config.yaml ax_config.axs ./dist/
	@ GOEXPERIMENT=jsonv2,greenteagc go build -buildmode=plugin -ldflags="-s -w" -o ./dist/agent_gopher.so pl_main.go pl_utils.go
	@ echo "      done..."

	@ echo "    * Building agent"
	@ (cd src_gopher && $(MAKE) --no-print-directory)
	@ cp -r src_gopher ./dist/src_gopher
	@ echo "      done..."

clean:
	@ rm -rf dist

=== AdaptixServer/extenders/gopher_listener_tcp/Makefile ===
all: clean
	@ echo "    * Building listener_gopher_tcp plugin"
	@ mkdir dist
	@ cp config.yaml ax_config.axs ./dist/
	@ GOEXPERIMENT=jsonv2,greenteagc go build -buildmode=plugin -ldflags="-s -w" -o ./dist/listener_gopher_tcp.so pl_main.go pl_transport.go map.go
	@ echo "      done..."

clean:
	@ rm -rf dist

=== AdaptixServer/extenders/beacon_agent/src_beacon/Makefile ===
--- 
+++ 
@@ -1,10 +1,11 @@
-SOURCES := $(wildcard beacon/*.cpp)
+SOURCES := $(filter-out beacon/config.cpp, $(wildcard beacon/*.cpp))
 
 BEACON_DIR := "beacon"
 FILES_DIR := "files"
 HTTP_DIST_DIR := "objects_http"
 SMB_DIST_DIR := "objects_smb"
 TCP_DIST_DIR := "objects_tcp"
+DNS_DIST_DIR := "objects_dns"
 
 HTTP_OBJECTS_X64 := $(patsubst beacon/%.cpp, $(HTTP_DIST_DIR)/%.x64.o, $(SOURCES))
 HTTP_OBJECTS_X86 := $(patsubst beacon/%.cpp, $(HTTP_DIST_DIR)/%.x86.o, $(SOURCES))
@@ -14,6 +15,9 @@
 
 TCP_OBJECTS_X64 := $(patsubst beacon/%.cpp, $(TCP_DIST_DIR)/%.x64.o, $(SOURCES))
 TCP_OBJECTS_X86 := $(patsubst beacon/%.cpp, $(TCP_DIST_DIR)/%.x86.o, $(SOURCES))
+
+DNS_OBJECTS_X64 := $(patsubst beacon/%.cpp, $(DNS_DIST_DIR)/%.x64.o, $(SOURCES))
+DNS_OBJECTS_X86 := $(patsubst beacon/%.cpp, $(DNS_DIST_DIR)/%.x86.o, $(SOURCES))
 
 SECURITY_FLAGS := -fno-stack-protector \
                  -fno-strict-overflow \
@@ -33,6 +37,9 @@
                 $(SECURITY_FLAGS) \
                 $(OPTIMIZATION_FLAGS)
 
+# Miniz trim for DNS only: disable archive/ZIP APIs; keep zlib compress/uncompress for DnsCodec
+MINIZ_DNS_FLAGS := -DMINIZ_NO_STDIO -DMINIZ_NO_ARCHIVE_APIS -DMINIZ_NO_ARCHIVE_WRITING_APIS -DMINIZ_NO_TIME
+
 .PHONY: all clean pre x64 x86
 
 NPROC := $(shell nproc)
@@ -41,6 +48,9 @@
 endif
 
 all: clean pre x64 x86
+
+pre:
+	@mkdir -p $(HTTP_DIST_DIR) $(SMB_DIST_DIR) $(TCP_DIST_DIR) $(DNS_DIST_DIR)
 	@ # http
 	@ cp $(FILES_DIR)/config.tpl $(HTTP_DIST_DIR)/config.cpp
 	@ cp $(FILES_DIR)/stub.x64.bin $(HTTP_DIST_DIR)/stub.x64.bin
@@ -53,12 +63,16 @@
 	@ cp $(FILES_DIR)/config.tpl $(TCP_DIST_DIR)/config.cpp
 	@ cp $(FILES_DIR)/stub.x64.bin $(TCP_DIST_DIR)/stub.x64.bin
 	@ cp $(FILES_DIR)/stub.x86.bin $(TCP_DIST_DIR)/stub.x86.bin
+	@ # dns
+	@ cp $(FILES_DIR)/config.tpl $(DNS_DIST_DIR)/config.cpp
+	@ cp $(FILES_DIR)/stub.x64.bin $(DNS_DIST_DIR)/stub.x64.bin
+	@ cp $(FILES_DIR)/stub.x86.bin $(DNS_DIST_DIR)/stub.x86.bin
 
 clean:
-	@rm -rf $(HTTP_DIST_DIR) $(SMB_DIST_DIR) $(TCP_DIST_DIR)
-	@mkdir -p $(HTTP_DIST_DIR) $(SMB_DIST_DIR) $(TCP_DIST_DIR)
+	@rm -rf $(HTTP_DIST_DIR) $(SMB_DIST_DIR) $(TCP_DIST_DIR) $(DNS_DIST_DIR)
+	@mkdir -p $(HTTP_DIST_DIR) $(SMB_DIST_DIR) $(TCP_DIST_DIR) $(DNS_DIST_DIR)
 
-x64: $(HTTP_OBJECTS_X64) $(SMB_OBJECTS_X64) $(TCP_OBJECTS_X64)
+x64: $(HTTP_OBJECTS_X64) $(SMB_OBJECTS_X64) $(TCP_OBJECTS_X64) $(DNS_OBJECTS_X64)
 	@ # http
 	@x86_64-w64-mingw32-g++ -c $(COMMON_FLAGS) $(BEACON_DIR)/main.cpp -D BEACON_HTTP -D BUILD_SVC -o $(HTTP_DIST_DIR)/main_service.x64.o
 	@x86_64-w64-mingw32-g++ -c $(COMMON_FLAGS) $(BEACON_DIR)/main.cpp -D_WIN32_WINNT=0x0600 -D BEACON_HTTP -D BUILD_DLL -o $(HTTP_DIST_DIR)/main_dll.x64.o
@@ -74,8 +88,13 @@
 	@x86_64-w64-mingw32-g++ -c $(COMMON_FLAGS) $(BEACON_DIR)/main.cpp -D_WIN32_WINNT=0x0600 -D BEACON_SMB -D BUILD_DLL -o $(TCP_DIST_DIR)/main_dll.x64.o
 	@x86_64-w64-mingw32-g++ -c $(COMMON_FLAGS) $(BEACON_DIR)/main.cpp -D BEACON_SMB -D BUILD_SHELLCODE -o $(TCP_DIST_DIR)/main_shellcode.x64.o
 	@rm $(TCP_DIST_DIR)/ConnectorHTTP.x64.o $(TCP_DIST_DIR)/ConnectorSMB.x64.o
+	@ # dns
+	@x86_64-w64-mingw32-g++ -c $(COMMON_FLAGS) $(BEACON_DIR)/main.cpp -D BEACON_DNS -D BUILD_SVC -o $(DNS_DIST_DIR)/main_service.x64.o
+	@x86_64-w64-mingw32-g++ -c $(COMMON_FLAGS) $(BEACON_DIR)/main.cpp -D_WIN32_WINNT=0x0600 -D BEACON_DNS -D BUILD_DLL -o $(DNS_DIST_DIR)/main_dll.x64.o
+	@x86_64-w64-mingw32-g++ -c $(COMMON_FLAGS) $(BEACON_DIR)/main.cpp -D BEACON_DNS -D BUILD_SHELLCODE -o $(DNS_DIST_DIR)/main_shellcode.x64.o
+	@rm -f $(DNS_DIST_DIR)/ConnectorHTTP.x64.o $(DNS_DIST_DIR)/ConnectorSMB.x64.o $(DNS_DIST_DIR)/ConnectorTCP.x64.o
 
-x86: $(HTTP_OBJECTS_X86) $(SMB_OBJECTS_X86) $(TCP_OBJECTS_X86)
+x86: $(HTTP_OBJECTS_X86) $(SMB_OBJECTS_X86) $(TCP_OBJECTS_X86) $(DNS_OBJECTS_X86)
 	@ # http
 	@i686-w64-mingw32-g++ -c $(COMMON_FLAGS) $(BEACON_DIR)/main.cpp -D BEACON_HTTP -D BUILD_SVC -o $(HTTP_DIST_DIR)/main_service.x86.o
 	@i686-w64-mingw32-g++ -c $(COMMON_FLAGS) $(BEACON_DIR)/main.cpp -D_WIN32_WINNT=0x0600 -D BEACON_HTTP -D BUILD_DLL -o $(HTTP_DIST_DIR)/main_dll.x86.o
@@ -91,7 +110,11 @@
 	@i686-w64-mingw32-g++ -c $(COMMON_FLAGS) $(BEACON_DIR)/main.cpp -D_WIN32_WINNT=0x0600 -D BEACON_SMB -D BUILD_DLL -o $(TCP_DIST_DIR)/main_dll.x86.o
 	@i686-w64-mingw32-g++ -c $(COMMON_FLAGS) $(BEACON_DIR)/main.cpp -D BEACON_SMB -D BUILD_SHELLCODE -o $(TCP_DIST_DIR)/main_shellcode.x86.o
 	@rm $(TCP_DIST_DIR)/ConnectorHTTP.x86.o $(TCP_DIST_DIR)/ConnectorSMB.x86.o
-
+	@ # dns
+	@i686-w64-mingw32-g++ -c $(COMMON_FLAGS) $(BEACON_DIR)/main.cpp -D BEACON_DNS -D BUILD_SVC -o $(DNS_DIST_DIR)/main_service.x86.o
+	@i686-w64-mingw32-g++ -c $(COMMON_FLAGS) $(BEACON_DIR)/main.cpp -D_WIN32_WINNT=0x0600 -D BEACON_DNS -D BUILD_DLL -o $(DNS_DIST_DIR)/main_dll.x86.o
+	@i686-w64-mingw32-g++ -c $(COMMON_FLAGS) $(BEACON_DIR)/main.cpp -D BEACON_DNS -D BUILD_SHELLCODE -o $(DNS_DIST_DIR)/main_shellcode.x86.o
+	@rm -f $(DNS_DIST_DIR)/ConnectorHTTP.x86.o $(DNS_DIST_DIR)/ConnectorSMB.x86.o $(DNS_DIST_DIR)/ConnectorTCP.x86.o
 
 
 $(HTTP_DIST_DIR)/%.x64.o: beacon/%.cpp
@@ -115,3 +138,18 @@
 
 $(TCP_DIST_DIR)/%.x86.o: beacon/%.cpp
 	@i686-w64-mingw32-g++ -c $(COMMON_FLAGS) -D BEACON_TCP -c $< -o $@
+
+
+
+$(DNS_DIST_DIR)/%.x64.o: beacon/%.cpp
+	@x86_64-w64-mingw32-g++ -c $(COMMON_FLAGS) -D BEACON_DNS -c $< -o $@
+
+$(DNS_DIST_DIR)/%.x86.o: beacon/%.cpp
+	@i686-w64-mingw32-g++ -c $(COMMON_FLAGS) -D BEACON_DNS -c $< -o $@
+
+# DNS miniz: compile with trim macros so archive/ZIP code is excluded (smaller binary)
+$(DNS_DIST_DIR)/miniz.x64.o: beacon/miniz.cpp
+	@x86_64-w64-mingw32-g++ -c $(COMMON_FLAGS) -D BEACON_DNS $(MINIZ_DNS_FLAGS) -c $< -o $@
+
+$(DNS_DIST_DIR)/miniz.x86.o: beacon/miniz.cpp
+	@i686-w64-mingw32-g++ -c $(COMMON_FLAGS) -D BEACON_DNS $(MINIZ_DNS_FLAGS) -c $< -o $@

=== debian/changelog ===
adaptixc2 (1.1~git20260208.6605760-0kali1) kali-dev; urgency=medium

  * New upstream version 1.1~git20260208.6605760
  * Use absolute paths in profile config

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Fri, 13 Feb 2026 11:54:18 +0100

=== debian/control ===
Source: adaptixc2
Section: net
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Daniel Ruiz de Alegría <daniruiz@kali.org>
Rules-Requires-Root: no
Build-Depends:
 ca-certificates,
 cmake,
 debhelper-compat (= 13),
 dh-golang,
 g++-mingw-w64,
 golang-any,
 libssl-dev,
 libxkbcommon-dev,
 mingw-w64,
 qt6-base-dev,
 qt6-base-private-dev,
 qt6-declarative-dev,
 qt6-websockets-dev,
Standards-Version: 4.7.3
Homepage: https://github.com/Adaptix-Framework/AdaptixC2
Vcs-Browser: https://gitlab.com/kalilinux/packages/adaptixc2
Vcs-Git: https://gitlab.com/kalilinux/packages/adaptixc2.git
XS-Go-Import-Path: github.com/Adaptix-Framework/Adaptix-Framework

Package: adaptixc2
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: extensible post-exploitation and adversarial emulation framework
 Adaptix is an extensible post-exploitation and adversarial emulation framework
 made for authorized penetration testing. The Adaptix server is written in
 Golang and to allow operator flexibility.

=== debian/rules ===
#!/usr/bin/make -f

export GOCACHE=$(CURDIR)/vendor
export GOPATH=$(CURDIR)/vendor
export GOTOOLCHAIN=auto

%:
	dh $@ --buildsystem=golang

override_dh_auto_build:
	make

override_dh_auto_install:
	dh_auto_install -- --no-source

override_dh_auto_test:

=== debian/tests/control ===
Test-Command: adaptixserver -h
Restrictions: superficial, allow-stderr

=== debian/watch ===
Version: 5

Source: https://github.com/Adaptix-Framework/AdaptixC2
Matching-Pattern: HEAD
Mode: git
